package common

import (
	"ocl/portainer-devtool/configs"
)

type GeneralTask struct {
	Config      *configs.Config
	ParentTasks []Tasker
}

func NewGeneralTask(cfg *configs.Config) *GeneralTask {
	return &GeneralTask{
		Config: cfg,
	}
}

func (task *GeneralTask) Execute() error {
	return nil
}

func (task *GeneralTask) SetParentTaskers(tasks []Tasker) {
	task.ParentTasks = tasks
}

func (task *GeneralTask) String() string {
	return ""
}
